<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2006, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--

var ix = "<% nvram_get("wl_country_code"); %>";

var sites = new Array(<% wl_scan(); %>);

var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
var bSecure = true;
if (cbAuthEncrypt == "none")
		bSecure = false;
var bValue = true;	
		
function initializePage(bValue)
{
	var strSiteSelected = "<% nvram_get("wl_ssid"); %>";
	var strSiteSelected1 = "<% nvram_list("wl_wds", 0); %>";
	var wdslist = "<% nvram_list("wl_wds", 1); %>";
	var radios = document.idForm.wl_mode;
	var cbEncryption = "<% nvram_get("cbEncryption"); %>";
	var wl_mode = "<% nvram_get("wl_mode"); %>";
	var infra = <% nvram_get("wl_infra"); %>;
	var iChannel = <% nvram_get("wl_channel"); %>;
	var accel = "<% nvram_get("cbAcceleration"); %>";
		
	if (bValue) 
	{	
		if (wl_mode == "wds") 
			radios[1].checked = true;
		else if ((wl_mode == "wet") && infra)	
			radios[0].checked = true;
		else 
			radios[2].checked = true;
	}
	setVisibility('idWDS', radios[1].checked);	
	setVisibility("idInfra", radios[0].checked || radios[1].checked);
	setVisibility("idAdhoc", radios[2].checked);
	buildSiteSurveyTable(sites, ix);
	/* change encryption method values (only WEP for ad hoc) */
	
	if (radios[0].checked)
	{	// delete all options
		while (document.idForm.cbSecurity.options.length > 0)
			document.idForm.cbSecurity.options[0] = null;
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 PSK (AES)", "aes");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 PSK (TKIP)", "tkip");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (AES)", "aes");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (TKIP)", "tkip");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
		if (cbAuthEncrypt == "wpa2")
		{
			if(cbEncryption == "aes")
				document.idForm.cbSecurity.options.selectedIndex = 0;
			else if(cbEncryption == "tkip")
				document.idForm.cbSecurity.options.selectedIndex = 1;
		}
		if (cbAuthEncrypt == "wpa")
		{
			if(cbEncryption == "aes")
				document.idForm.cbSecurity.options.selectedIndex = 2;
			else if(cbEncryption == "tkip")
				document.idForm.cbSecurity.options.selectedIndex = 3;
		}
		else if (cbAuthEncrypt == "open")
			document.idForm.cbSecurity.options.selectedIndex = 4;
		else if (cbAuthEncrypt == "shared")
			document.idForm.cbSecurity.options.selectedIndex = 5;
		
		//delete acceleration options
		while (document.idForm.cbAcceleration.options.length > 0)
			document.idForm.cbAcceleration.options[0] = null;	
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("MAXg (125 Mbps)", "afterburner");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		if (accel == "afterburner")
			document.idForm.cbAcceleration.options.selectedIndex = 0;
		else if (accel == "frameburst")
			document.idForm.cbAcceleration.options.selectedIndex = 1;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 2;
	} 
	else if (radios[1].checked)
	{	// delete all options
		while (document.idForm.cbSecurity.options.length > 0)
			document.idForm.cbSecurity.options[0] = null;
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (AES)", "aes");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (TKIP)", "tkip");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
		
		if (cbAuthEncrypt == "wpa")
		{
			if(cbEncryption == "aes")
				document.idForm.cbSecurity.options.selectedIndex = 0;
			else if(cbEncryption == "tkip")
				document.idForm.cbSecurity.options.selectedIndex = 1;
		}
		else if (cbAuthEncrypt == "open")
			document.idForm.cbSecurity.options.selectedIndex = 2;
		else if (cbAuthEncrypt == "shared")
			document.idForm.cbSecurity.options.selectedIndex = 3;
			
		//delete acceleration options
		while (document.idForm.cbAcceleration.options.length > 0)
			document.idForm.cbAcceleration.options[0] = null;
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("MAXg (125 Mbps)", "afterburner");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		if (accel == "afterburner")
			document.idForm.cbAcceleration.options.selectedIndex = 0;
		else if (accel == "frameburst")
			document.idForm.cbAcceleration.options.selectedIndex = 1;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 2;
	} 
	else if (radios[2].checked)
	{	// delete all options
		while (document.idForm.cbSecurity.options.length > 0)
			document.idForm.cbSecurity.options[0] = null;

		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
		if (cbAuthEncrypt == "open")
			document.idForm.cbSecurity.options.selectedIndex = 0;
		else if (cbAuthEncrypt == "shared")
			document.idForm.cbSecurity.options.selectedIndex = 1;
		//delete acceleration options
		while (document.idForm.cbAcceleration.options.length > 0)
			document.idForm.cbAcceleration.options[0] = null;
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		if ((accel == "afterburner") || (accel == "frameburst"))
			document.idForm.cbAcceleration.options.selectedIndex = 0;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 1;
	} 
	
	setVisibility("idBridge", radios[1].checked);		
	if (radios[1].checked) {
		initializeSurveyPage1(strSiteSelected1, strSiteSelected, iChannel, bSecure);
		setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked);
	}
	else 
		initializeSurveyPage(strSiteSelected, iChannel, bSecure);
			
	onSecurityChange(false);
	
	changeAcceleration();
	manageSupportedRates();
}

function validatePage()
{
	var security = document.getElementById("chkSecure");
	var radios = document.idForm.wl_mode;
	var wdsrestrict = document.getElementById("chkWDSrestrict");
	var other = document.getElementById("other");
	var accel = document.idForm.cbAcceleration.selectedIndex;
	var stp = "<% nvram_get("lan_stp"); %>";
	
	if (radios[1].checked)
	{
		if (other.checked)
			document.idForm.txtMACaddress.value = document.idForm.txtMACaddressAP.value;
		else
			document.idForm.txtMACaddress.value = getSelectedSite();
		tableAddRowWDS(1);
		
		if (stp == 1)
			document.idForm.lan_stp.value = "1";
	}
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (radios[0].checked)
		{
			if (ixSecurity == 0) {
				document.idForm.cbAuthEncrypt.value = "wpa2";
				document.idForm.cbEncryption.value = "aes";
			}
			else if (ixSecurity == 1){
				document.idForm.cbAuthEncrypt.value = "wpa2";
				document.idForm.cbEncryption.value = "tkip";
			}
			else if (ixSecurity == 2){
				document.idForm.cbAuthEncrypt.value = "wpa";
				document.idForm.cbEncryption.value = "aes";
			}
			else if (ixSecurity == 3){
				document.idForm.cbAuthEncrypt.value = "wpa";
				document.idForm.cbEncryption.value = "tkip";
			}
			else if (ixSecurity == 4)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 5)
				document.idForm.cbAuthEncrypt.value = "shared";
		}
		else if (radios[1].checked)
		{
			if (ixSecurity == 0) {
				document.idForm.cbAuthEncrypt.value = "wpa";
				document.idForm.cbEncryption.value = "aes";
			}
			else if (ixSecurity == 1) {
				document.idForm.cbAuthEncrypt.value = "wpa";
				document.idForm.cbEncryption.value = "tkip";
			}
			else if (ixSecurity == 2) {
				document.idForm.cbAuthEncrypt.value = "open";
			}
			else if (ixSecurity == 3) {
				document.idForm.cbAuthEncrypt.value = "shared";
			}
		}
		else if (radios[2].checked)
		{	
			if (ixSecurity == 0)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 1)
				document.idForm.cbAuthEncrypt.value = "shared";
		}	
	}
	if (!wdsrestrict.checked)
		document.idForm.wl_lazywds.value = 1;
	//setup acceleration and stp
	if (radios[0].checked || radios[1].checked)
	{	
		if (accel == 0)
			document.idForm.cbAcceleration.value = "afterburner";
		else if (accel == 1)
			document.idForm.cbAcceleration.value = "frameburst";
		else
			document.idForm.cbAcceleration.value = "none";
		
		if ((stp == 1) && radios[0].checked)
			document.idForm.lan_stp.value = "0";		
	}
	else if (radios[2].checked)
	{	
		if (accel == 0)
			document.idForm.cbAcceleration.value = "frameburst";
		else 
			document.idForm.cbAcceleration.value = "none";
			
		if (stp == 1)
			document.idForm.lan_stp.value = "0";	
	}	
	return true;
}

//-->
</script>
</head>

<body onload="tableInitializeWDS();initializePage(true);" onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.
	</p>

	<h1>Wireless Network Type</h1>
	<p>Infrastructure mode allows the bridge to connect to
	a wireless router or access point and provides Internet access.
	</p>
	<p>Bridge mode connects two networks using WDS.
	</p>
	<p>Ad hoc mode allows the bridge to connect to a network of
	client devices but does not provide Internet access.
	</p>

	<h1>Network</h1>
	<p>If your wireless network isn&rsquo;t in the list of detected wireless
	networks, it may be because the access point isn&rsquo;t broadcasting
	its network name, or the access point is setup in bridge mode (WDS bridge), 
	or the bridge is outside the coverage area.
	In this case, you can enter its network name, MAC address, and channel manually.
	</p>

	<p>To ensure the bridge is within the network&rsquo;s
	coverage area, configure the network to broadcast the network name.
	Then re-position the bridge, press the <b>Scan</b> button, and check
	to see if your network is now displayed in the list of detected networks.
	</p>

   <p>Please see the device&rsquo;s documentation for how to determine
   its MAC address.
   </p>

	<p>If your wireless router, access point, or other client wasn&rsquo;t
	detected because it was turned off, you can turn it on and press the
	<b>Scan</b> button to try and detect it again.
   </p>

	<p>The network name is sometimes called the SSID.</p>
	
	<h1>Security</h1>
	<p>The security settings of the bridge must match the ones specified
	for your wireless network.
	Please refer to the device (wireless router, access point, or client)
	to determine the correct settings.
	</p>

	<p>Please note that the bridge does not support 802.1x (RADIUS).
	</p>
	<div id="idWDS" style="display: none;">
	<h1>Bridge Networks</h1>
	<p>You can specify the wireless routers or access points you want to bridge
	by entering their information in this section.
	Only devices that support WDS are supported by the Wireless <i>MAX</i>g Bridge.
	</p>
	
	<p>The first entry in the table cannot be deleted because it&rsquo;s the device 
	selected in the list of wireless networks. To modify this value, please select a 
	different wireless network from that list.
	</p>
	</div>
</div>

<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1">
<input type="hidden" name="wl_lazywds" value="0">
<input type="hidden" name="wl_wme" value="off">
<input type="hidden" name="wl_gmode_protection" value="off">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">
<input type="hidden" name="lan_stp" value="0">

<h3>Wireless Network Type</h3>

<p>Please select the type of wireless network you want to connect to.
You have three choices: connecting to a wireless router or access point (Internet access),
connecting two networks together, and connecting directly to other computers (no Internet access).
</p>

<p>
	<input type="radio" name="wl_mode" id="optInfra" value="wet"  onclick="initializePage(false);" /> <label for="optInfra">Infrastructure</label>	<span class="clsNote">(also known as &ldquo;client&rdquo;)</span><br/>
	<input type="radio" name="wl_mode" id="optWDS" value="wds" <% nvram_match("wl_mode", "wds", "checked"); %> onclick="initializePage(false);" /> <label for="optWDS">Bridge</label>	<span class="clsNote">(connects two networks using WDS)</span><br/>
	<input type="radio" name="wl_mode" id="optAdhoc" value="adhoc" onclick="initializePage(false);" /> <label for="optAdhoc">Ad hoc</label>	<span class="clsNote">(also known as &ldquo;peer-to-peer&rdquo;)</span>
</p>


<h3>Network</h3>

<div id="idNoAPs" class="clsNotice">
	The U.S. Robotics Wireless <i>MAX</i>g Bridge was unable to detect
	any wireless devices.
	Please ensure that your wireless devices are connected
	properly and turned on and press the <b>Scan</b> button to try again.
</div>

<div id="idFoundAPs">

<p id="idInfra">Please select a wireless network (an access point or wireless router)
from the list of detected networks.
If the access point isn&rsquo;t broadcasting its network name, it won&rsquo;t be in the list;
in that case, enter its network name in the field below.</p>
<p id="idAdhoc">Please select a wireless network from the list of detected networks.
If you&rsquo;re configuring the first client or the other clients are too far away,
your network won&rsquo;t be in the list;
in that case, enter its network name and channel in the fields below.
(You may need to move closer to it in order to establish a connection.)</p>
</div>

<div id="idBroadcast">
	<div id="idSurvey">
		<!-- Filled by script -->
	</div>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='wireless.asp';"></p>
</div>

<h3>Security</h3>

<div id="idInsecure" style="display: none;">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure" style="display: none;">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual" style="display: none;">
	<p>The Bridge cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
			<option value="wpa2+aes">WPA2 PSK (AES)</option>
			<option value="wpa2+tkip">WPA2 PSK (TKIP)</option>
			<option value="wpa+aes">WPA PSK (AES)</option>
			<option value="wpa+tkip">WPA PSK (TKIP)</option>
			<option value="open">WEP open</option>
			<option value="shared">WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key', document.idForm.wl_key1)) return false; bDirty = true;">
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false; bDirty = true;">
	</tr>
	<!-- WDS -->
	<tr id="idKeyRotation" style="display: none;">
		<td valign="top"><label for="wl_wpa_gtk_rekey">Key rotation:</label></td>
		<td><input type="text" size="5" maxlength="5" id="wl_wpa_gtk_rekey" class="clsTextfield" name="wl_wpa_gtk_rekey" value="<% nvram_get("wl_wpa_gtk_rekey"); %>" onchange="validateKey(document.idForm.wl_wpa_gtk_rekey); bDirty = true;">
			<label>seconds</label><br/>
			<span class="clsNote">(To disable key rotation, set this value to zero.)</span></td>
	</tr>
</table>
</div>

<div id="idBridge">

<h3>Bridge Networks</h3>

<p>This is sometimes referred to as &ldquo;WDS Restrictions.&rdquo;
If you plan to securely bridge multiple networks, add the MAC addresses of the wireless routers and access points
that will connect to this one.
</p>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" name="chkWDSrestrict" id="chkWDSrestrict" <% nvram_match("wl_lazywds", "0", "checked"); %> onclick="setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); bDirty = true;"> <label for="chkWDSrestrict">I want to specify the devices that can connect to this one</label></p>

<div id="idWDSrestrict">

<div id="idTableWDS">
	<!-- Content is added by script -->
</div>

<table class="clsGroupBox"><tr><td>
			<label for="txtMACaddress">MAC address:</label>
			<br/>
			<input type="text" size="20" maxlength="17" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
			<input type="button" name="idBtnAddWDS" id="idBtnAddWDS" value="  Add  " class="clsSmall" onclick="tableAddRowWDS(0);">
</td></tr></table>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------
	
	WDS TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableWDS 	= new Object;
objTableWDS.strThis	= "objTableWDS";	// the text representation of this object's name
objTableWDS.aRows	= new Array;		// the array of the row arrays for the table


function tableInitializeWDS()
{
	/*
		Initialize the table object
	*/
	objTableWDS.eltTable		= document.getElementById("idTableWDS");	// id of table's DIV
	objTableWDS.eltBtnAdd		= document.getElementById("idBtnAddWDS");	// Add button
	objTableWDS.strVarNameNum	= "wl_wds";		// name of form field for # rows
	// names of each form field
	objTableWDS.aVarNamePrefixes	= new Array("wl_wds");
	objTableWDS.iMaxNumRows		= 16;				// max # of rows in table
	objTableWDS.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableWDS.aHeadings		= new Array(	// array of column headings for the table
							"MAC Address"
						);
	/*
		Load the values from the server, create the rows, and add them all.
	*/

	/*
		Get the data for each entry, add it to an array,
		and add the array to the table.
	*/
	var aRouterData = new Array(
					new Array("<% nvram_list("wl_wds", 0); %>"),
					new Array("<% nvram_list("wl_wds", 1); %>"),
					new Array("<% nvram_list("wl_wds", 2); %>"),
					new Array("<% nvram_list("wl_wds", 3); %>"),
					new Array("<% nvram_list("wl_wds", 4); %>"),
					new Array("<% nvram_list("wl_wds", 5); %>"),
					new Array("<% nvram_list("wl_wds", 6); %>"),
					new Array("<% nvram_list("wl_wds", 7); %>"),
					new Array("<% nvram_list("wl_wds", 8); %>"),
					new Array("<% nvram_list("wl_wds", 9); %>"),
					new Array("<% nvram_list("wl_wds", 10); %>"),
					new Array("<% nvram_list("wl_wds", 11); %>"),
					new Array("<% nvram_list("wl_wds", 12); %>"),
					new Array("<% nvram_list("wl_wds", 13); %>"),
					new Array("<% nvram_list("wl_wds", 14); %>"),
					new Array("<% nvram_list("wl_wds", 15); %>")
				);

	for (var row in aRouterData)
	{
		/* if the first column's value is empty, don't use it */
		if (aRouterData[row][0] == "")
			continue;

		objTableWDS.aRows.push(aRouterData[row]);
	}

	tableDisplay(objTableWDS);
}


/* Add the new data to the table. */
function tableAddRowWDS(x)
{
	
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);
			
	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableWDS, aRowNew))
	{
		if (x == 0)
			tableAddRow(objTableWDS, aRowNew, 0);
		else if (x == 1)
			tableAddRow(objTableWDS, aRowNew, 1);
	}
	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}
//-->
</script>	
</div> 

</div>

<h3>Transmission</h3>

<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>

<table border="0">
	<tr>
		<td><label>Power level:</label></td>
		<td>
			<select id="wl_power" name="wl_power" onchange="bDirty = true;">
				<option value="76" <% nvram_match("wl_power", "76", "selected"); %>>100%</option>
				<option value="64" <% nvram_match("wl_power", "64", "selected"); %>>50%</option>
				<option value="52" <% nvram_match("wl_power", "52", "selected"); %>>25%</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>54g mode:</label></td>
		<td>
			<select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl_gmode", "0", "selected"); %>>802.11b Only</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td colspan="2"><input type="checkbox" id="wl_gmode_protection" name="wl_gmode_protection" value="auto" <% nvram_match("wl_gmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="wl_gmode_protection">Automatic 54g protection</label></td>
	</tr>
	<tr>
		<td><label>Supported rate:</label></td>
		<td>
			<select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_rate", "0", "selected"); %>>Automatic</option>
				<option value="1000000" <% nvram_match("wl_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl_rate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>	
		<td><label>Multicast rate:</label></td>
		<td>
			<select id="cbMRate" name="wl_mrate" onchange="bDirty = true;">
	  		<!-- All a/b/g rates -->
	  			<option value="0" <% nvram_match("wl_mrate", "0", "selected"); %>>Automatic</option>
	  			<option value="1000000" <% nvram_match("wl_mrate", "1000000", "selected"); %>>1 Mbps</option>
	  			<option value="2000000" <% nvram_match("wl_mrate", "2000000", "selected"); %>>2 Mbps</option>
	  			<option value="5500000" <% nvram_match("wl_mrate", "5500000", "selected"); %>>5.5 Mbps</option>
	  			<option value="6000000" <% nvram_match("wl_mrate", "6000000", "selected"); %>>6 Mbps</option>
	  			<option value="9000000" <% nvram_match("wl_mrate", "9000000", "selected"); %>>9 Mbps</option>
	  			<option value="11000000" <% nvram_match("wl_mrate", "11000000", "selected"); %>>11 Mbps</option>      
	  			<option value="12000000" <% nvram_match("wl_mrate", "12000000", "selected"); %>>12 Mbps</option>
	  			<option value="18000000" <% nvram_match("wl_mrate", "18000000", "selected"); %>>18 Mbps</option>
	  			<option value="24000000" <% nvram_match("wl_mrate", "24000000", "selected"); %>>24 Mbps</option>
	  			<option value="36000000" <% nvram_match("wl_mrate", "36000000", "selected"); %>>36 Mbps</option>
	  			<option value="48000000" <% nvram_match("wl_mrate", "48000000", "selected"); %>>48 Mbps</option>
	  			<option value="54000000" <% nvram_match("wl_mrate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
    		</td>
	</tr>
	<tr>
		<td><label>Basic rate set:</label></td>
		<td>
			<select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Acceleration:</label></td>
		<td>
			<select name="cbAcceleration" onchange="changeAcceleration(); bDirty = true;">
				<option value="afterburner" <% nvram_match("cbAcceleration", "afterburner", "selected"); %>>MAXg (125 Mbps)</option>
				<option value="frameburst" <% nvram_match("cbAcceleration", "frameburst", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
			</select>
		</td>
	</tr>

	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>

	<tr>
		<td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(recommended to be between 1 and 1000 ms)</span></td>
	</tr>
	<tr>
		<td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 0 and 2347)</span></td>
	</tr>
	<tr>
		<td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr>
		<td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr>
		<td><label>Preamble:</label></td>
		<td>
			<select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select>
			
		 </td>
	</tr>
</table>


<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false; 
if (!isPrintable('Key', document.idForm.wl_key1)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false;
if (!validateKey(document.idForm.wl_wpa_gtk_rekey)) return false; checksettings1(); 
if (!validatePage()) return false; bDirty = false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
