<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics Wireless MAXg Router</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5461.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>
<body>
<script type="text/javascript">
	writeHeaderSetup(1, 3);
</script>
<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">
   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	<h1>Configure DSL</h1>
   <p>This enables access to the Internet for devices that connect to the router.</p>
   <p>You need to enter the user name and password that were provided by your Internet Service Provider (ISP).</p>
   <p>If you already have a working Internet connection through a
   computer connected to your DSL modem, you have already entered this
   information on that computer, and you may be able to determine
   it from your current connection. If not, your ISP can provide you with this information.</p>
</div>
<form name="idForm" action="apply.cgi" method="post">
<input type="hidden" name="page" value="setup_dsl.asp">
<input type="hidden" name="wan_unit" value="0">
<input type="hidden" name="wan_proto" value="pppoe">
<h3>Configure Your DSL Internet Connection</h3>
<p>The router has detected a DSL &ldquo;PPPoE server.&rdquo;
The router now needs a user name and password in order to access the Internet.
Your Internet Service Provider (ISP) provided you with this user name and password.</p>
<p>If you don&rsquo;t know this information, you may need to contact your ISP for assistance.
In that case, complete the setup, and later use the router&rsquo;s
<strong>Internet</strong> page to configure your Internet connection.</p>
<table border="0">
   <tr><td><label for="wan_pppoe_username">User&nbsp;name:</label></td>
      <td><input type="text" size="20" id="wan_pppoe_username" name="wan_pppoe_username" value="<% nvram_get("wan_pppoe_username"); %>" class="clsTextfield" onchange="if (!isPrintable('User name', document.idForm.wan_pppoe_username)) return false;"></td></tr>
   <tr>
      <td><label for="wan_pppoe_passwd">Password:</label></td>
      <td><input type="text" size="20" id="wan_pppoe_passwd" name="wan_pppoe_passwd" value="<% nvram_get("wan_pppoe_passwd"); %>" class="clsTextfield" onchange="if (!isPrintable('Password', document.idForm.wan_pppoe_passwd)) return false;"></td></tr>
</table>
<p class="clsSave">When you&rsquo;re finished and are ready to go to the next step, press <strong>Next</strong>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('User name', document.idForm.wan_pppoe_username)) return false; if (!isPrintable('Password', document.idForm.wan_pppoe_passwd)) return false;"></p>
</form>
<script type="text/javascript">
	writeCopyright();
</script></body></html>
