<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Device :: U.S. Robotics Wireless MAXg Gaming Adapter</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5431.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function change_page() {

	with (document.forms[0]) {
		if ( wl_mode[0].checked == true ) {
			document.forms[0].action="setup_infra.asp";
		}
		else if (wl_mode[1].checked == true) {
			document.forms[0].action="setup_adhoc.asp";
		}
	}
}

//-->
</script>
</head>

<body onload="document.idForm.optInfra.focus();">

<script type="text/javascript">
	writeHeaderSetup(1, 3);
</script>


<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Gaming Style</h1>
	<p>The two possible gaming styles are playing games with other people on
	the Internet (also known as &ldquo;infrastructure&rdquo;
	or &ldquo;client&rdquo;mode) and playing games with other people in the same
	house (also known as &ldquo;ad hoc&rdquo; or &ldquo;peer-to-peer&rdquo; mode).
	</p>

</div>


<form name="idForm" method="post" action="">
<input type="hidden" name="page" value="setup_mode.asp">


<h3>Gaming Style</h3>

<!-- This code is virtually the same as the code on the wireless.htm page -->
<p>Please select the type of gaming you&rsquo;ll be doing.
You have two choices: playing over the Internet and
playing with other people in the same house&mdash;not using the Internet.
</p>

<p>
	<input type="radio" name="wl_mode" id="optInfra" value="wet" checked /> <label for="optInfra">I play games over the Internet</label>	<span class="clsNote">(also known as &ldquo;client&rdquo; or &ldquo;infrastructure&rdquo;)</span><br/>
	<input type="radio" name="wl_mode" id="optAdhoc" value="adhoc" /> <label for="optAdhoc">I play games inside my house</label>	<span class="clsNote">(also known as &ldquo;peer-to-peer&rdquo; or &ldquo;ad hoc&rdquo;)</span>
</p>


<p class="clsSave">When you&rsquo;re finished and are ready to go to the next step, press <b>Next</b>.</p>

<p><input type="submit" name="btnSubmit" value="Next -->" class="clsBtnSave" onClick="change_page();"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
