<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless :: U.S. Robotics Wireless MAXg Gaming Adapter</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5431.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--

function isUS()
{
   /*
      Change to return false if non-US.
   */
   var ix = "<% nvram_get("wl_country_code"); %>";
     
	if(ix != "US") 
		return false;
	else 
	      return true;
}

var sites = new Array(<% wl_scan(); %>);

function initializePage()
{
	var strSiteSelected = "<% nvram_get("wl_ssid"); %>";
	var radios = document.idForm.wl_mode;
	var cbAuthEncrypt = "<% nvram_get("cbAuthEncrypt"); %>";
	var cbEncryption = "<% nvram_get("cbEncryption"); %>";
		
	setVisibility("idInfra", radios[0].checked);
	setVisibility("idAdhoc", radios[1].checked);

	setVisibility("idChannel", radios[1].checked);
	/*
		change encryption method values (only WEP for ad hoc)
	*/
	
	if (radios[0].checked)
	{	// delete all options
		while (document.idForm.cbSecurity.options.length > 0)
			document.idForm.cbSecurity.options[0] = null;
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 PSK (AES)", "aes");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA2 PSK (TKIP)", "tkip");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (AES)", "aes");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WPA PSK (TKIP)", "tkip");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
		if (cbAuthEncrypt == "wpa2")
		{
			if(cbEncryption == "aes")
				document.idForm.cbSecurity.options.selectedIndex = 0;
			else if(cbEncryption == "tkip")
				document.idForm.cbSecurity.options.selectedIndex = 1;
		}
		if (cbAuthEncrypt == "wpa")
		{
			if(cbEncryption == "aes")
				document.idForm.cbSecurity.options.selectedIndex = 2;
			else if(cbEncryption == "tkip")
				document.idForm.cbSecurity.options.selectedIndex = 3;
		}
		else if (cbAuthEncrypt == "open")
			document.idForm.cbSecurity.options.selectedIndex = 4;
		else if (cbAuthEncrypt == "shared")
			document.idForm.cbSecurity.options.selectedIndex = 5;
		//delete acceleration options
		while (document.idForm.cbAcceleration.options.length > 0)
			document.idForm.cbAcceleration.options[0] = null;	
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("MAXg (125 Mbps)", "afterburner");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		if (accel == "afterburner")
			document.idForm.cbAcceleration.options.selectedIndex = 0;
		else if (accel == "frameburst")
			document.idForm.cbAcceleration.options.selectedIndex = 1;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 2;
	} 
	if (radios[1].checked)
	{	// delete all options
		while (document.idForm.cbSecurity.options.length > 0)
			document.idForm.cbSecurity.options[0] = null;

		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP open", "open");
		document.idForm.cbSecurity.options[document.idForm.cbSecurity.options.length] = new Option("WEP shared", "shared");
		if (cbAuthEncrypt == "open")
			document.idForm.cbSecurity.options.selectedIndex = 0;
		else if (cbAuthEncrypt == "shared")
			document.idForm.cbSecurity.options.selectedIndex = 1;
		//delete acceleration options
		while (document.idForm.cbAcceleration.options.length > 0)
			document.idForm.cbAcceleration.options[0] = null;
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("54g+ (XPress)", "frameburst");
		document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.options.length] = new Option("None", "none");
		if ((accel == "afterburner") || (accel == "frameburst"))
			document.idForm.cbAcceleration.options.selectedIndex = 0;
		else
			document.idForm.cbAcceleration.options.selectedIndex = 1;
	} 
			
	arrangeSiteSurvey();
	initializeSurveyPage(strSiteSelected);
	onSecurityChange(false);
	
	//in case that there is no AP in the list
	if (!document.idForm.chkInList.checked)
	{
		if (cbAuthEncrypt == "none") {
			document.idForm.chkSecure.checked = false;
			setVisibility("idSecurity", false);
		}
	}
	
	changeAcceleration();
	manageSupportedRates();
}

function validatePage()
{
	var security = document.getElementById("chkSecure");
	var radios = document.idForm.wl_mode;
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (radios[0].checked)
		{
			if (isWPAselected(ixSecurity))
			{
				document.idForm.cbAuthEncrypt.value = "wpa";
				if (ixSecurity == 0)
					document.idForm.cbEncryption.value = "aes";
				else if (ixSecurity == 1)
					document.idForm.cbEncryption.value = "tkip";
			}
			else if (isWEPselected(ixSecurity))
			{
				if (ixSecurity == 2)
					document.idForm.cbAuthEncrypt.value = "open";
				else if (ixSecurity == 3)
					document.idForm.cbAuthEncrypt.value = "shared";
			}
		}
		else if (radios[1].checked)
		{	if (ixSecurity == 0)
				document.idForm.cbAuthEncrypt.value = "open";
			else if (ixSecurity == 1)
				document.idForm.cbAuthEncrypt.value = "shared";
		}	
	}
	
	return true;
}

//-->
</script>
</head>

<body onload="initializePage();" onbeforeunload="verifyDeparture();">

<script>
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.
	</p>

	<h1>Gaming Style</h1>
	<p>The two possible gaming styles are playing games with other people on
	the Internet (also known as &ldquo;infrastructure&rdquo;
	or &ldquo;client&rdquo;mode) and playing games with other people in the same
	house (also known as &ldquo;ad hoc&rdquo; or &ldquo;peer-to-peer&rdquo; mode).
	</p>

	<h1>Network</h1>
   <p>If you don&rsquo;t see your network in the list, it may be because
   the wireless router (or access point) isn&rsquo;t broadcasting its network name.
   In that event, you will have to clear the <b>My wireless network is in the list</b>
   check box and enter its information manually.
   </p>

	<p>If your wireless router, access point, or other client wasn&rsquo;t
	detected because it was turned off, you can turn it on and press the
	<b>Scan</b> button to try and detect it again.
   </p>

	<p>The network name is sometimes called the SSID.</p>
	
	<h1>Security</h1>
	<p>The security settings of the gaming adapter must match the ones specified
	on your wireless router or access point.
	Please refer to that device to determine the correct settings.
	</p>

	<p>Please note that the gaming adapter does not support 802.1x (RADIUS).
	</p>

</div>

<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1">
<input type="hidden" name="wl_wme" value="off">
<input type="hidden" name="wl_gmode_protection" value="off">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">

<h3>Gaming Style</h3>

<p>Please select the type of gaming you&rsquo;ll be doing.
You have two choices: playing over the Internet and
playing with other people in the same house&mdash;not using the Internet.
</p>

<p>
	<input type="radio" name="wl_mode" id="optInfra" value="wet" <% nvram_match("wl_infra", "1", "checked"); %> onclick="initializePage();" /> <label for="optInfra">I play games over the Internet</label>	<span class="clsNote">(also known as &ldquo;client&rdquo; or &ldquo;infrastructure&rdquo;)</span><br/>
	<input type="radio" name="wl_mode" id="optAdhoc" value="adhoc" <% nvram_match("wl_infra", "0", "checked"); %> onclick="initializePage();" /> <label for="optAdhoc">I play games inside my house</label>	<span class="clsNote">(also known as &ldquo;peer-to-peer&rdquo; or &ldquo;ad hoc&rdquo;)</span>
</p>


<h3>Network</h3>

<p id="idInfra" style="display: none;">Please select a wireless network (an access point or wireless router)
from the list of detected networks.
If the access point isn&rsquo;t broadcasting its network name, it won&rsquo;t be in the list;
in that case, clear the <b>My wireless network is in the list</b> check box and
enter its network name in the field below.</p>
<p id="idInfra1" style="display: none;">If you want to change your connection to another wireless network, 
select the <b>My wireless network is in the list</b> check box and select a wireless network 
from the list of detected networks. If the wireless network is not in the list clear the <b>My wireless network is in the list</b> check box and
enter its network name in the field below.</p>
<p id="idAdhoc" style="display: none;">Please select a wireless network (another client) from the list of detected networks.
If you&rsquo;re configuring the first client or the other client is too far away,
your network won&rsquo;t be in the list; in that case, clear the <b>My wireless network is in the list</b> 
check box and enter its network name and channel in the fields below.
(You may need to move closer to it in order to establish a connection.)</p>
<p id="idAdhoc1" style="display: none;">If you want to change your connection to another wireless network (another client), 
select the <b>My wireless network is in the list</b> check box and select a wireless network (another client) 
from the list of detected networks. If you&rsquo;re configuring the first client or the other client is too far away,
your network won&rsquo;t be in the list; in that case, clear the <b>My wireless network is in the list</b> check box 
and enter its network name and channel in the fields below.</p>

<p><input type="checkbox" name="chkInList" id="chkInList" checked onclick="arrangeSiteSurvey();"> <label for="chkInList">My wireless network is in the list</label></p>

<div id="idBroadcast">
	<script type="text/javascript">
		buildSiteSurveyTable(sites);
	</script>
	<div id="idNoAPs" class="clsNotice" style="display: none;">
	The U.S. Robotics Wireless <i>MAX</i>g Gaming Adapter was unable to detect
	any wireless routers or access points.
	Please ensure that your wireless router or access point is connected
	properly and turned on and press the <b>Scan</b> button to try again.
	If the access point isn&rsquo;t broadcasting its network name, it won&rsquo;t be in the list;
	in that case, enter its network name in the field below.
	</div>
	<div id="idNoDEVs" class="clsNotice" style="display: none;">
	The U.S. Robotics Wireless <i>MAX</i>g Gaming Adapter was unable to detect
	any wireless client.
	Please ensure that your wireless client is connected
	properly and turned on and press the <b>Scan</b> button to try again.
	If you&rsquo;re configuring the first client or the other client is too far away,
	your network won&rsquo;t be in the list; in that case, enter its network name and channel in the fields below.
	</div>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='wireless.asp';"></p>
</div>

<div id="idNotBroadcast">
	<table>
		<tr>
			<td><label for="wl_ssid">Network name:</label></td>
			<td><input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; bDirty = true;"></td>
		</tr>
		<!-- only if selected mode is ad hoc -->
		<tr id="idChannel">
			<td><label>Channel:</label></td>
			<td><select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_channel", "0", "selected"); %>>Automatic</option>
				<option value="1" <% nvram_match("wl_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl_channel", "11", "selected"); %>>11</option>
			    </select>
	<script type="text/javascript">
   	/*      If this isn't US-based, allow channels 12 and 13.   */
   		if (!isUS())
   		{
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      			document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl_channel"); %>";
   		}
	</script>
			</td>
		</tr>
	</table>
</div>


<h3>Security</h3>

<div id="idInsecure" style="display: none;">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure" style="display: none;">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual" style="display: none;">
	<p>The Gaming Adapter cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
			<option value="wpa2" <% nvram_match("cbEncryption", "aes", "selected"); %>>WPA2 PSK (AES)</option>
			<option value="wpa2" <% nvram_match("cbEncryption", "tkip", "selected"); %>>WPA2 PSK (TKIP)</option>
			<option value="wpa" <% nvram_match("cbEncryption", "aes", "selected"); %>>WPA PSK (AES)</option>
			<option value="wpa" <% nvram_match("cbEncryption", "tkip", "selected"); %>>WPA PSK (TKIP)</option>
			<option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>WEP open</option>
			<option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key 1', document.idForm.wl_key1.value)) return false; bDirty = true;">
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass phrase:</label></td>
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; bDirty = true;">
	</tr>
</table>
</div>



<h3>Transmission</h3>

<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>

<table border="0">
	<tr>
		<td><label>54g mode:</label></td>
		<td>
			<select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl_gmode", "0", "selected"); %>>802.11b Only</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td colspan="2"><input type="checkbox" id="wl_gmode_protection" name="wl_gmode_protection" value="auto" <% nvram_match("wl_gmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="wl_gmode_protection">Automatic 54g protection</label></td>
	</tr>
	<tr>
		<td><label>Supported rate:</label></td>
		<td>
			<select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_rate", "0", "selected"); %>>Auto</option>
				<option value="1000000" <% nvram_match("wl_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl_rate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>	
		<td><label>Multicast rate:</label></td>
		<td>
			<select id="cbMRate" name="wl_mrate" onchange="bDirty = true;">
	  		<!-- All a/b/g rates -->
	  			<option value="0" <% nvram_match("wl_mrate", "0", "selected"); %>>Auto</option>
	  			<option value="1000000" <% nvram_match("wl_mrate", "1000000", "selected"); %>>1 Mbps</option>
	  			<option value="2000000" <% nvram_match("wl_mrate", "2000000", "selected"); %>>2 Mbps</option>
	  			<option value="5500000" <% nvram_match("wl_mrate", "5500000", "selected"); %>>5.5 Mbps</option>
	  			<option value="6000000" <% nvram_match("wl_mrate", "6000000", "selected"); %>>6 Mbps</option>
	  			<option value="9000000" <% nvram_match("wl_mrate", "9000000", "selected"); %>>9 Mbps</option>
	  			<option value="11000000" <% nvram_match("wl_mrate", "11000000", "selected"); %>>11 Mbps</option>      
	  			<option value="12000000" <% nvram_match("wl_mrate", "12000000", "selected"); %>>12 Mbps</option>
	  			<option value="18000000" <% nvram_match("wl_mrate", "18000000", "selected"); %>>18 Mbps</option>
	  			<option value="24000000" <% nvram_match("wl_mrate", "24000000", "selected"); %>>24 Mbps</option>
	  			<option value="36000000" <% nvram_match("wl_mrate", "36000000", "selected"); %>>36 Mbps</option>
	  			<option value="48000000" <% nvram_match("wl_mrate", "48000000", "selected"); %>>48 Mbps</option>
	  			<option value="54000000" <% nvram_match("wl_mrate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
    		</td>
	</tr>
	<tr>
		<td><label>Basic rate set:</label></td>
		<td>
			<select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Acceleration:</label></td>
		<td>
			<select name="cbAcceleration" onchange="changeAcceleration(); bDirty = true;">
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
				<option value="frameburst" <% nvram_match("cbAcceleration", "frameburst", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="afterburner" <% nvram_match("cbAcceleration", "afterburner", "selected"); %>>MAXg (125 Mbps)</option>
			</select>
		</td>
	</tr>

	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>

	<tr>
		<td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(must be between 1 and 1000 ms)</span></td>
	</tr>
	<tr>
		<td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 0 and 2347)</span></td>
	</tr>
	<tr>
		<td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr>
		<td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr>
		<td><label>Preamble:</label></td>
		<td>
			<select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select>
			
		 </td>
	</tr>
</table>

</div>

<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; 
if (!isPrintable('Key', document.idForm.wl_key1.value)) return false; if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk.value)) return false; checksettings(); 
if (!validatePage()) return false; bDirty = false;"></p>

</form>

<script>
	writeCopyright();
</script>

</body>
</html>
